package com.danitheskunk.skunkworks.nodes;

public abstract class BaseTween {
	protected double progress;
	protected int startFrame;
	protected int endFrame;

	public BaseTween() {
		progress = 0;
	}

	public void setProgress(double progress) {
		this.progress = progress;
	}

	public void delay(int frames) {
		startFrame += frames;
		endFrame += frames;
	}

	protected abstract void apply();
}
